import request from '@/utils/request'

// 查询地块基本信息（DKJBXX）列表
export function listDkjbxx(query) {
  return request({
    url: '/rsmonitoring/dkjbxx/list',
    method: 'get',
    params: query
  })
}
export function getDkcount(query) {
  return request({
    url: '/rsmonitoring/dkjbxx/hctb/count',
    method: 'get',
    params: query
  })
}

// 查询地块基本信息（DKJBXX）详细
export function getDkjbxx(id) {
  return request({
    url: '/rsmonitoring/dkjbxx/' + id,
    method: 'get'
  })
}

// 新增地块基本信息（DKJBXX）
export function addDkjbxx(data) {
  return request({
    url: '/rsmonitoring/dkjbxx',
    method: 'post',
    data: data
  })
}

// 修改地块基本信息（DKJBXX）
export function updateDkjbxx(data) {
  return request({
    url: '/rsmonitoring/dkjbxx',
    method: 'put',
    data: data
  })
}

// 删除地块基本信息（DKJBXX）
export function delDkjbxx(id) {
  return request({
    url: '/rsmonitoring/dkjbxx/' + id,
    method: 'delete'
  })
}
