

export const FormConfig = [
  [

    // {
    //   label: '申请状态：',
    //   prop: 'state',
    //   span: 5
    // },
    {
      label: '行政区',
      prop: 'region',
      span: 5,

    },
    {
      label: '录入时间',
      prop: 'link',
      span: 5,

    },
    {
      label: '文件名称',
      prop: 'entityid',
      span: 5,
      component: 'ElInput',
      componentProps: {
        placeholder: '文件名称'
      }
    },
    {
      prop: 'action',
      span: 5
    }
  ]
]

export const TableHeader = [
  { label: "文件名称", prop: "name", align: 'center' },
  { label: "区县名称", prop: "dkmj", align: 'center' },
  { label: "图斑个数", prop: "geomNumber", align: 'center' },
  { label: "监测面积（亩）", prop: "geomArea", align: 'center' },
  { label: "数据量", prop: "qlx", align: 'center' },
  { label: "录入时间", prop: "createTime", align: 'center', width: 200,},
  { label: "重复数量", prop: "updateNumberCheckFull", align: 'center' },
  { label: "成功数量", prop: "updateNumberCheckSuccess", align: 'center' },
  { label: "更新失败数量", prop: "updateNumberFull", align: 'center' },
  { label: "更新成功数量", prop: "updateNumberSuccess", align: 'center' },
  { label: "操作", slot: "action", width: 140, align: 'center' },
]


// 详情字段
export const detailInfos = [
  [
    [
      { flag: 'label', value: '申请时间', span: 8 },
      { flag: 'value', value: 'sqTime', span: 16 }
    ],
    [
      { flag: 'label', value: '申请部门', span: 8 },
      { flag: 'value', value: 'sqDepartmentBy', span: 16 }
    ]
  ],
  [
    [
      { flag: 'label', value: '数据服务', span: 8 },
      { flag: 'value', value: 'systemName', span: 16 }
    ],
    [
      { flag: 'label', value: '数据类型', span: 8 },
      { flag: 'value', value: 'zymlTypeName', span: 16 }
    ]
  ],
  [
    [
      { flag: 'label', value: '申请范围', span: 4 },
      { flag: 'value', value: 'sqFw', span: 20 }
    ],
  ],
  [[
    { flag: 'label', value: '申请理由', span: 4 },
    { flag: 'value', value: 'sqReason', span: 20 }
  ]],
  [[
    { flag: 'label', value: '系统名称', span: 4 },
    { flag: 'value', value: 'systemName', span: 20 }
  ]],
  [[
    { flag: 'label', value: '调用IP', span: 4 },
    { flag: 'value', value: 'callIp', span: 20 }
  ]],
  [[
    { flag: 'label', value: '预期使用时间', span: 4 },
    { flag: 'value', value: 'sqDeadline', span: 20 }
  ]],
  [[
    { flag: 'label', value: '附件', span: 4 },
    { flag: 'value', value: 'attachment', span: 20, isslot: true }
  ]]
]
export const shjlInfos = [
  [[
    { flag: 'label', value: '审核结果', span: 4 },
    { flag: 'value', value: 'jg', span: 20, isslot: true }
  ]],
  [[
    { flag: 'label', value: '审核意见', span: 4 },
    { flag: 'value', value: 'spReason', span: 20 }
  ]],
  [[
    { flag: 'label', value: '有效截止日期', span: 4 },
    { flag: 'value', value: 'deadline', span: 20 }
  ]],
  [[
    { flag: 'label', value: '审核人', span: 4 },
    { flag: 'value', value: 'sqUserBy', span: 20 }
  ]],
  [[
    { flag: 'label', value: '审核时间', span: 4 },
    { flag: 'value', value: 'spTime', span: 20 }
  ]],
]
export const chInfos = [
  [[
    { flag: 'label', value: '撤回时间', span: 4 },
    { flag: 'value', value: 'sqRevokeTime', span: 20 }
  ]],
  [[
    { flag: 'label', value: '撤回原因', span: 4 },
    { flag: 'value', value: 'sqRevokeReason', span: 20 }
  ]],
]




export const gxConfig = [
  [
    {
      label: '',
      prop: 'query_data',
      span: 8,
      component: 'ElInput',
      componentProps: {
        placeholder: '请输入查询名称或Id'
      }
    },
    {
      label: '',
      prop: 'link',
      span: 8
    },
    {
      prop: 'action',
      span: 5
    }
  ]
]

